<?php
/**
 *----------------------------------------------------------------------------
 * 版权所有 2005-2010 GV32.COM，并保留所有权利。
 * 网站地址: http://www.gv32.com；
 * 作者: GV32.COM
**/
define('GV32_COM', '=QTZ2cDZ1gTYlVmN2MWY2MWNhNTO1UTZ1QTMxE2NkFjZ');

//error_reporting(E_ALL);

define('ROOT_PATH', str_replace('index.php', '', str_replace('\\', '/', __FILE__)));

/*****安装后这几行可以删除*******/
if(!file_exists(ROOT_PATH . 'system/config/config.lock.php'))
{
	require ROOT_PATH.'admin/installerror.php';
	exit();
}
/*****安装后上面这几行可以删除*******/

$GLOBALS['system_path'] 		= 'system';			//系统目录
$GLOBALS['application_path'] 	= 'application';	//应用程序目录
$GLOBALS['language_path'] 		= 'languages';		//语言包目录
$GLOBALS['tpl_path'] 			= 'templates';		//前台模板目录
$GLOBALS['cache_path'] 			= 'cache';			//缓存目录


require ROOT_PATH.$system_path.'/config/config.ini.php';

require ROOT_PATH.$system_path.'/class/class_mysql.php';

require ROOT_PATH.$system_path.'/class/class_websession.php';

require ROOT_PATH.$system_path.'/class/class_request.php';

require ROOT_PATH.$application_path.'/smarty/Smarty.class.php';

require ROOT_PATH.$system_path.'/class/class_page.php';

require ROOT_PATH.$system_path.'/class/class_helper.php';

require ROOT_PATH.$system_path.'/class/class_url.php';

$WebConfig = $Helpe -> get_config();

$GLOBALS['Templ'] -> assign('getconfig',$WebConfig);

$GLOBALS['Templ']->assign('tpl_path',$GLOBALS['tpl_path']);

$GLOBALS['Templ']->assign('roottpl_path',$GLOBALS['tpl_path']);


$garray = $Url->urlexplode();


if(!$Url->onloading())
{
	$WebSe -> isEmplyeeLine();
	$Templ->display('index_tpl.html');

}

$MySql ->closeMySql();

exit();
?>